%define upstream_name esmre

Name:           python-%{upstream_name}
Version:        0.3.1
Release:        %mkrel 8
Summary:        Regular expression accelerator
Group:          Development/Python
License:        LGPL
URL:            https://pypi.python.org/pypi/esmre
Source0:        https://pypi.python.org/packages/source/e/esmre/esmre-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Modules used to accelerate execution of a large collection of regular
expressions using the Aho-Corasick algorithms.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING README
%{python_sitearch}/esm.so
%{python_sitearch}/esmre.py*
%{python_sitearch}/esmre-%{version}-*.egg-info


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.3.1-8.mga6
+ Revision: 939798
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 746358
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-6.mga5
+ Revision: 728419
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-5.mga5
+ Revision: 688021
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.1-3.mga4
+ Revision: 544937
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.1-2.mga4
+ Revision: 500500
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 0.3.1-1.mga4
+ Revision: 468876
- imported package python-esmre

